Subject: Re: bug#24298: 25.1; problem with restoring desktop

From: [email-masked] (N. Jackson)
Date: Wed, 24 Aug 2016 17:57:09 -0300

At 19:02 +0300 on Wednesday 2016-08-24, Eli Zaretskii wrote:

>> Date: Wed, 24 Aug 2016 17:46:02 +0200
>> From: martin rudalics <[email-masked]>
>> 
>>  > I am having a problem restoring my desktop, when there are several
>>  > buffers.  Instead of restoring the correct buffer as the current one, a
>>  > random buffer is restored.
>> 
>> What happens when you set ‘desktop-restore-frames’ to nil?
>
> FWIW, the stuff works for me reliably without changing the defaulot
> value of that variable.

FWIW, I too have recently been bothered by my windows being populated by
random buffers when I start Emacs (instead of the ones I had when I last
closed Emacs).

I typically have three frames with one window in each.

I might say (half jokingly) that I quite like this new "feature": I
get buffers popping up that I was working on six months ago and forgot
all about! Starting Emacs now is always surprising. :)

N.